Subject: bug#45737: 27.1.50; Assertion failure in window_box_height

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Jan 2021 19:49:56 +0200

> Cc: [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Sat, 9 Jan 2021 18:06:53 +0100
> 
>  > If that is the effect, then I'm okay with installing this on emacs-27,
>  > but I wonder whether we could do better on master, so as to ensure
>  > that at least one screen line of the mini-window is still visible?
> 
> That would be better indeed.  But I suppose this would require to
> implement zero-height windows, something you didn't like when we
> discussed it about a year ago.

Can you help me understand why this would mean zero-height windows?
What I had in mind was to constraint resizing so that the min-window
is always at least 1-line high.

In any case, please install the fix on emacs-27.